datasource_list: [ ConfigDrive, NoCloud ]
disable_ec2_metadata: True

user: root
ssh_pwauth: False
disable_root: False
manage_etc_hosts: False

system_info:
  default_user:
    name: root
    lock_passwd: False

  distro: ubuntu
  paths:
    cloud_dir: /var/lib/cloud/
    templates_dir: /etc/cloud/templates/

    upstart_dir: /etc/init/



cloud_init_modules:
 - migrator
 - seed_random
 - bootcmd
 - write-files
 - growpart
 - resizefs
 - disk_setup
 - mounts
 - ca-certs
 - rsyslog
 - users-groups
 - ssh

cloud_config_modules:
# Emit the cloud config ready event
# this can be used by upstart jobs for 'start on cloud-config'.
 - locale
 - set-passwords
 - ntp
 - timezone
 - disable-ec2-metadata
 - set_hostname
 - update_hostname
 - update_etc_hosts
 - runcmd


 - emit_upstart
 - grub-dpkg
 - apt-pipelining
 - apt-configure
 - byobu


 - snap
 - ubuntu-advantage


# The modules that run in the 'final' stage
cloud_final_modules:
 - package-update-upgrade-install
 - write_files_deferred

 - fan

 - ansible
 - puppet
 - chef
 - salt-minion
 - mcollective
 - rightscale_userdata
 - scripts-vendor
 - scripts-per-once
 - scripts-per-boot
 - scripts-per-instance
 - scripts-user
 - ssh-authkey-fingerprints
 - keys-to-console
 - phone-home
 - install_hotplug
 - final-message
 - power-state-change

 - ubuntu-drivers


# vim: filetype=yaml ts=2 et